# -*- rpm-spec -*-
Summary: openssl-wrapper - XenServer Wrapper for OpenSSL
Name:    openssl-wrapper
Version: 0.1
Release: 59
Group:   System/Security
License: LGPL+linking exception
URL:  http://www.citrix.com
Vendor: @COMPANY_NAME_LEGAL@
Source0: openssl-wrapper-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: openssl
Provides: openssl-wrapper
Obsoletes: openssl <= 0.9.8e
%ifarch x86_64 ppc64 ia64
Provides: libcrypto.so.6()(64bit)
Provides: libssl.so.6()(64bit)
%else
Provides: libcrypto.so.6
Provides: libssl.so.6
%endif

%description
This package contains the Citrix XenServer Wrapper for OpenSSL, wrapper 1.0.x to 0.9.8.x, required by Dom0

%prep
%setup -q

%build
echo Starting build section
%{__make} openssl-wrapper-lib -f Makefile.rpm

%install
echo Starting install section
echo System library path is %{_lib}
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR="$RPM_BUILD_ROOT" install -f Makefile.rpm

%clean

%post

%postun

%triggerun -- openssl
ln -sf libsslwrapper.so.10 /%{_lib}/libssl.so.6
ln -sf libcryptowrapper.so.10 /%{_lib}/libcrypto.so.6

%files
%doc LICENSE LICENSE.openssl
%defattr(-,root,root,-)
/%{_lib}/libsslwrapper.so.10
/%{_lib}/libcryptowrapper.so.10
/%{_lib}/libssl.so.6
/%{_lib}/libcrypto.so.6


%changelog
* Wed Aug 12 2015 Zheng Chai
- Initial Implementation
